Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class SystemSettingFacade

    java.lang.Object
      com.pmease.quickbuild.model.SystemSettingFacade

All Implemented Interfaces:
  java.io.Serializable

public class SystemSettingFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for SystemSetting. Holds system setting informations

See Also:
  Serialized Form

Constructor Summary
`SystemSettingFacade()`

Method Summary
`java.lang.String` | `getDateDisplayFormat()` OGNL: Specify date display format presented in QuickBuild user interface.
`long` | `getPageRefreshInterval()` OGNL: Specify default page refresh interval in seconds.
`long` | `getPageSize()` OGNL: Specify maximum number of builds to display in a page when list history builds or display search results of builds.
`java.lang.String` | `getPublishDir()` OGNL: You can optionally specify a global publish directory for the build system.
`java.lang.String` | `getSenderEmail()` OGNL: This property is optional.
`java.lang.String` | `getServletUrl()` OGNL: The servlet url should be specified correctly so QuickBuild can refer to this url in the notification messages.
`java.lang.String` | `getSmtpHost()` OGNL: Specify the SMTP mail host used by QuickBuild to send email.
`java.lang.String` | `getSmtpPassword()` OGNL: This property is optional.
`long` | `getSmtpPort()` OGNL: Specify port number for the above SMTP host.
`java.lang.String` | `getSmtpUser()` OGNL: This property is optional.
`java.lang.String` | `getWorkingDir()` OGNL: You can optionally specify a global working directory for the build system.
`void` | `setDateDisplayFormat(java.lang.String dateDisplayFormat)`
`void` | `setPageRefreshInterval(long pageRefreshInterval)`
`void` | `setPageSize(long pageSize)`
`void` | `setPublishDir(java.lang.String publishDir)`
`void` | `setSenderEmail(java.lang.String senderEmail)`
`void` | `setServletUrl(java.lang.String servletUrl)`
`void` | `setSmtpHost(java.lang.String smtpHost)`
`void` | `setSmtpPassword(java.lang.String smtpPassword)`
`void` | `setSmtpPort(long smtpPort)`
`void` | `setSmtpUser(java.lang.String smtpUser)`
`void` | `setWorkingDir(java.lang.String workingDir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemSettingFacade

    public SystemSettingFacade()

Method Detail

### getServletUrl

    public java.lang.String getServletUrl()

  OGNL: The servlet url should be specified correctly so QuickBuild can refer to this url in the notification messages. Normally this value should be http://<server>:<port>/app.do, where <server> is your build server name or ip address, and <port> is the port number you use to access QuickBuild. If this property is left empty, QuickBuild will default this value to be "http://<server_name>:8080/app.do", where <server_name> is host name of the build server.

### setServletUrl

    public void setServletUrl(java.lang.String servletUrl)

### getWorkingDir

    public java.lang.String getWorkingDir()

  OGNL: You can optionally specify a global working directory for the build system. The global working directory is the directory under which every configuration's own working directory is created. If not specified, QuickBuild will use the "working" sub-directory under the QuickBuild installation directory.

### setWorkingDir

    public void setWorkingDir(java.lang.String workingDir)

### getPublishDir

    public java.lang.String getPublishDir()

  OGNL: You can optionally specify a global publish directory for the build system. The global publish directory is the directory under which every configuration's own publish directory is created. If not specified, QuickBuild will use the "publish" sub-directory under the QuickBuild installation directory.

### setPublishDir

    public void setPublishDir(java.lang.String publishDir)

### getDateDisplayFormat

    public java.lang.String getDateDisplayFormat()

  OGNL: Specify date display format presented in QuickBuild user interface. For example: yyyy-MM-dd HH:mm. For details about the format string, please refer to http://java.sun.com/j2se/1.4.2/docs/api/java/text/SimpleDateFormat.html

### setDateDisplayFormat

    public void setDateDisplayFormat(java.lang.String dateDisplayFormat)

### getPageSize

    public long getPageSize()

  OGNL: Specify maximum number of builds to display in a page when list history builds or display search results of builds.

### setPageSize

    public void setPageSize(long pageSize)

### getPageRefreshInterval

    public long getPageRefreshInterval()

  OGNL: Specify default page refresh interval in seconds. This value will take effect when auto-refresh is turned on for anonymous users and users with their page refresh interval set to 0.

### setPageRefreshInterval

    public void setPageRefreshInterval(long pageRefreshInterval)

### getSmtpHost

    public java.lang.String getSmtpHost()

  OGNL: Specify the SMTP mail host used by QuickBuild to send email.

### setSmtpHost

    public void setSmtpHost(java.lang.String smtpHost)

### getSmtpPort

    public long getSmtpPort()

  OGNL: Specify port number for the above SMTP host.

### setSmtpPort

    public void setSmtpPort(long smtpPort)

### getSmtpUser

    public java.lang.String getSmtpUser()

  OGNL: This property is optional. If the SMTP host needs authentication, you should provide the user name here.

### setSmtpUser

    public void setSmtpUser(java.lang.String smtpUser)

### getSmtpPassword

    public java.lang.String getSmtpPassword()

  OGNL: This property is optional. If the SMTP host needs authentication, you should provide the password here.

### setSmtpPassword

    public void setSmtpPassword(java.lang.String smtpPassword)

### getSenderEmail

    public java.lang.String getSenderEmail()

  OGNL: This property is optional. If specified, Luntbuild will use this email as the sender address when sending out email notifications. Otherwise, the sender address will be luntbuild@<hostname>, where <hostname> is the host name of the build machine.

### setSenderEmail

    public void setSenderEmail(java.lang.String senderEmail)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.